<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title clearfix">
                    <h4>Reports</h4>
                </div>
                <div class="ibox-content clearfix">
                    <div class="col-xs-12">

                        <div class="col-xs-12 col-md-6 form-group">
                            <label class="col-xs-12">Shop name</label>
                            <div class="col-xs-12">
                                <input class="form-control" type="input"
                                   ng-model="vm.filter.query"
                                   placeholder="Search by an shop name"
                                   ng-change="vm.read({ page: 1 })"
                                />
                            </div>
                        </div>

                        <div class="col-xs-12 col-md-6 form-group">
                            <label class="col-xs-12">Admin email</label>
                            <div class="col-xs-12">
                                <input class="form-control" type="input"
                                   ng-model="vm.filter.email"
                                   placeholder="Search by an admin email"
                                   ng-change="vm.read({ page: 1 })"
                                />
                            </div>
                        </div>

                        <div class="col-xs-12 col-md-12 col-lg-6 form-group">
                            <label class="col-xs-12">Date range to display</label>
                            <div class="col-xs-12 col-md-6" >
                                <div class="input-group">
                                    <input type="text" class="form-control" name="from"
                                           ng-model="vm.filter.from"
                                           uib-datepicker-popup="{{vm.configModals.format}}"
                                           datepicker-options="vm.configModals.fromOptions"
                                           alt-input-formats="vm.configModals.altInputFormats"
                                           is-open="vm.configModals.opened[1]"
                                           ng-change="vm.setDateRangeByFrom(vm.filter.from)"
                                           ng-readonly="true"
                                           required/>
                                    <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary"
                                            ng-click="vm.configModals.open(1)">
                                            <i class="glyphicon glyphicon-calendar"></i>
                                        </button>
                                    </span>
                                </div>
                            </div>

                            <div class="col-xs-12 col-md-6">
                                <div class="input-group">
                                    <input type="text" class="form-control" name="from"
                                           ng-model="vm.filter.to"
                                           uib-datepicker-popup="{{vm.configModals.format}}"
                                           datepicker-options="vm.configModals.toOptions"
                                           alt-input-formats="vm.configModals.altInputFormats"
                                           is-open="vm.configModals.opened[2]"
                                           ng-change="vm.setDateRangeByTo(vm.filter.to)"
                                           ng-readonly="true"
                                           required/>
                                    <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary"
                                            ng-click="vm.configModals.open(2)">
                                            <i class="glyphicon glyphicon-calendar"></i>
                                        </button>
                                    </span>
                                </div>
                            </div>
                        </div>

                        <div class="col-xs-12 col-md-6 col-lg-6 form-group">
                            <label class="col-xs-12">Report type to display</label>
                            <div class="col-xs-12">
                                <ui-select ng-model="vm.filter.type"
                                           theme="bootstrap"
                                           on-select="vm.read({ page: 1 })">
                                    <ui-select-match>{{$select.selected.title}} </ui-select-match>
                                    <ui-select-choices repeat="type in vm.types">{{ type.title }}</ui-select-choices>
                                </ui-select>
                            </div>
                        </div>

                    </div>
                    <div class="col-xs-12" >
                        <div id="reports" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}" class="grid height-transition"></div>
                        <div class="text-center">
                            <uib-pagination ng-if="vm.meta.totalCount > vm.meta.limit"
                                total-items="vm.meta.totalCount"
                                items-per-page="vm.meta.limit"
                                ng-model="vm.meta.page" max-size="10"
                                ng-change="vm.read()">
                            </uib-pagination>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
